Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FLAC::Metadata::Padding Class Reference
[FLAC++/metadata.h: metadata object classes]

`#include <metadata.h>`

Inheritance diagram for FLAC::Metadata::Padding:

List of all members.

## Public Methods

| Padding ()
| Padding (::FLAC__StreamMetadata *object, bool copy)
| ~Padding ()
void | set_length (unsigned length)
| Padding (const Padding &object)
| Padding (const::FLAC__StreamMetadata &object)
| Padding (const::FLAC__StreamMetadata *object)
void | operator= (const Padding &object)
void | operator= (const::FLAC__StreamMetadata &object)
void | operator= (const::FLAC__StreamMetadata *object)
bool | operator== (const Padding &object) const
bool | operator== (const::FLAC__StreamMetadata &object) const
bool | operator== (const::FLAC__StreamMetadata *object) const
bool | operator!= (const Padding &object) const
bool | operator!= (const::FLAC__StreamMetadata &object) const
bool | operator!= (const::FLAC__StreamMetadata *object) const

## Detailed Description

PADDING metadata block. See format specification.

## Constructor & Destructor Documentation

FLAC::Metadata::Padding::Padding | ( | const Padding & | object | ) | `[inline]`

| Constructs a copy of the given object. This form always performs a deep copy.

FLAC::Metadata::Padding::Padding | ( | const ::FLAC__StreamMetadata & | object | ) | `[inline]`

| Constructs a copy of the given object. This form always performs a deep copy.

FLAC::Metadata::Padding::Padding | ( | const ::FLAC__StreamMetadata * | object | ) | `[inline]`

| Constructs a copy of the given object. This form always performs a deep copy.

FLAC::Metadata::Padding::Padding | ( | ::FLAC__StreamMetadata * | object,
|  | bool | copy
| ) | `[inline]`

| Constructs an object with copy control. See Prototype(::FLAC__StreamMetadata *object, bool copy).

## Member Function Documentation

void FLAC::Metadata::Padding::operator= | ( | const Padding & | object | ) | `[inline]`

| Assign from another object. Always performs a deep copy.

void FLAC::Metadata::Padding::operator= | ( | const ::FLAC__StreamMetadata & | object | ) | `[inline]`

| Assign from another object. Always performs a deep copy. Reimplemented from FLAC::Metadata::Prototype.

void FLAC::Metadata::Padding::operator= | ( | const ::FLAC__StreamMetadata * | object | ) | `[inline]`

| Assign from another object. Always performs a deep copy. Reimplemented from FLAC::Metadata::Prototype.

bool FLAC::Metadata::Padding::operator== | ( | const Padding & | object | ) | const`[inline]`

| Check for equality, performing a deep compare by following pointers.

bool FLAC::Metadata::Padding::operator== | ( | const ::FLAC__StreamMetadata & | object | ) | const`[inline]`

| Check for equality, performing a deep compare by following pointers. Reimplemented from FLAC::Metadata::Prototype.

bool FLAC::Metadata::Padding::operator== | ( | const ::FLAC__StreamMetadata * | object | ) | const`[inline]`

| Check for equality, performing a deep compare by following pointers. Reimplemented from FLAC::Metadata::Prototype.

bool FLAC::Metadata::Padding::operator!= | ( | const Padding & | object | ) | const`[inline]`

| Check for inequality, performing a deep compare by following pointers.

bool FLAC::Metadata::Padding::operator!= | ( | const ::FLAC__StreamMetadata & | object | ) | const`[inline]`

| Check for inequality, performing a deep compare by following pointers. Reimplemented from FLAC::Metadata::Prototype.

bool FLAC::Metadata::Padding::operator!= | ( | const ::FLAC__StreamMetadata * | object | ) | const`[inline]`

| Check for inequality, performing a deep compare by following pointers. Reimplemented from FLAC::Metadata::Prototype.

The documentation for this class was generated from the following file:

- include/FLAC++/metadata.h